<?php
$image_size          = isset( $image_size ) ? $image_size : 'full';
$image_meta          = get_post_meta( get_the_ID(), 'mkdf_blog_list_featured_image_meta', true );
$has_featured        = ! empty( $image_meta ) || has_post_thumbnail();
$blog_list_image_id  = ! empty( $image_meta ) && powerlift_mikado_blog_item_has_link() ? powerlift_mikado_get_attachment_id_from_url( $image_meta ) : '';
?>

<?php if ( $has_featured ) { ?>
	<div class="mkdf-post-image">
        <?php if( ! empty( $type ) && $type == 'standard' ) { ?>
            <div itemprop="dateCreated" class="mkdf-post-info-date entry-date mkdf-floating-date">
                <div class="mkdf-bli-date-day"> <?php echo get_the_date ('d'); ?> </div>
                <div class="mkdf-bli-date-month"> <?php echo get_the_date ('M'); ?> </div>
            </div>
        <?php } ?>
		<?php if ( powerlift_mikado_blog_item_has_link() ) { ?>
			<a itemprop="url" href="<?php the_permalink(); ?>" title="<?php the_title_attribute(); ?>">
		<?php } ?>
			<?php if ( $image_size !== 'custom' ) {
				if ( ! empty( $blog_list_image_id ) ) {
                    if( is_archive() ) {
                        the_post_thumbnail( $image_size );
                    } else {
                        echo wp_get_attachment_image($blog_list_image_id, $image_size);
                    }
				} else {
					the_post_thumbnail( $image_size );
				}
			} elseif ( isset( $custom_image_width ) && ! empty( $custom_image_width ) && isset( $custom_image_height ) && ! empty( $custom_image_height ) ) {
				if ( ! empty( $blog_list_image_id ) ) {
				    if( is_archive() ) {
                        echo powerlift_mikado_generate_thumbnail( get_post_thumbnail_id( get_the_ID() ), null, intval( $custom_image_width ), intval( $custom_image_height ) );
                    } else{
                        echo powerlift_mikado_generate_thumbnail($blog_list_image_id, null, intval($custom_image_width), intval($custom_image_height));
                    }
				} else {
					echo powerlift_mikado_generate_thumbnail( get_post_thumbnail_id( get_the_ID() ), null, intval( $custom_image_width ), intval( $custom_image_height ) );
				}
			} ?>
		<?php if ( powerlift_mikado_blog_item_has_link() ) { ?>
			</a>
		<?php } ?>
		<?php do_action('powerlift_mikado_action_blog_inside_image_tag')?>
	</div>
<?php } ?>