<?php

if ( ! function_exists( 'powerlift_mikado_map_post_gallery_meta' ) ) {
	
	function powerlift_mikado_map_post_gallery_meta() {
		$gallery_post_format_meta_box = powerlift_mikado_create_meta_box(
			array(
				'scope' => array( 'post' ),
				'title' => esc_html__( 'Gallery Post Format', 'powerlift' ),
				'name'  => 'post_format_gallery_meta'
			)
		);
		
		powerlift_mikado_add_multiple_images_field(
			array(
				'name'        => 'mkdf_post_gallery_images_meta',
				'label'       => esc_html__( 'Gallery Images', 'powerlift' ),
				'description' => esc_html__( 'Choose your gallery images', 'powerlift' ),
				'parent'      => $gallery_post_format_meta_box,
			)
		);
	}
	
	add_action( 'powerlift_mikado_action_meta_boxes_map', 'powerlift_mikado_map_post_gallery_meta', 21 );
}
