<?php

if ( ! function_exists( 'powerlift_mikado_include_blog_shortcodes' ) ) {
	function powerlift_mikado_include_blog_shortcodes() {
		if( powerlift_mikado_is_theme_registered() ) {
			foreach ( glob( MIKADO_FRAMEWORK_MODULES_ROOT_DIR . '/blog/shortcodes/*/load.php' ) as $shortcode_load ) {
				include_once $shortcode_load;
			}
		}
	}
	
	if ( powerlift_mikado_is_plugin_installed( 'core' ) ) {
		add_action( 'powerlift_core_action_include_shortcodes_file', 'powerlift_mikado_include_blog_shortcodes' );
	}
}

// Load blog elementor widgets
if ( ! function_exists( 'powerlift_mikado_include_blog_elementor_widgets_files' ) ) {
    /**
     * Loades all shortcodes by going through all folders that are placed directly in shortcodes folder
     */
    function powerlift_mikado_include_blog_elementor_widgets_files() {
        if ( powerlift_mikado_is_plugin_installed('core') && powerlift_mikado_is_theme_registered() ) {
            foreach ( glob( MIKADO_FRAMEWORK_MODULES_ROOT_DIR . '/blog/shortcodes/*/elementor-*.php' ) as $shortcode_load ) {
                include_once $shortcode_load;
            }
        }
    }

    add_action( 'elementor/widgets/widgets_registered', 'powerlift_mikado_include_blog_elementor_widgets_files' );
}