<?php if ( $max_num_pages > 1 ) { ?>
	<div class="mkdf-blog-pag-loading">
		<div class="mkdf-blog-pag-bounce1"></div>
		<div class="mkdf-blog-pag-bounce2"></div>
		<div class="mkdf-blog-pag-bounce3"></div>
	</div>
	<?php
	$number_of_pages = $max_num_pages;
	$current_page    = $paged;
	
	if ( $number_of_pages > 1 ) { ?>
		<div class="mkdf-bl-standard-pagination">
			<ul>
				<li class="mkdf-pag-prev">
					<a href="#" data-paged="1">
                        <svg version="1.1" id="Layer_1" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" width="19" height="19" x="0px" y="0px"
                             viewBox="0 0 15 23" style="enable-background:new 0 0 15 23;" xml:space="preserve">
                        <polyline class="st0" style="fill:none;stroke:#000;" points="12.5,22.1 1.9,11.5 12.5,0.9 "/>
                        </svg>
                    </a>
				</li>
				<?php for ( $i = 1; $i <= $number_of_pages; $i ++ ) { ?>
					<?php
					$link_classes = '';
					if ( $current_page == $i ) {
						$link_classes = 'mkdf-pag-active';
					}
					?>
					<li class="mkdf-pag-number <?php echo esc_attr( $link_classes ); ?>">
						<a href="#" data-paged="<?php echo esc_attr( $i ); ?>"><?php echo esc_html( $i ); ?></a>
					</li>
				<?php } ?>
				<li class="mkdf-pag-next">
					<a href="#" data-paged="2">
                        <svg version="1.1" id="Layer_1" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" width="19" height="19" x="0px" y="0px"
                             viewBox="0 0 15 23" style="enable-background:new 0 0 15 23;" xml:space="preserve">
                        <polyline class="st0" style="fill:none;stroke:#000;" points="1.9,22.1 12.5,11.5 1.9,0.9 "/>
                        </svg>
                    </a>
				</li>
			</ul>
		</div>
	<?php }
} ?>
