<?php

if ( ! function_exists( 'powerlift_mikado_register_woocommerce_dropdown_cart_widget' ) ) {
	/**
	 * Function that register dropdown cart widget
	 */
	function powerlift_mikado_register_woocommerce_dropdown_cart_widget( $widgets ) {
		$widgets[] = 'PowerliftMikadoClassWoocommerceDropdownCart';
		
		return $widgets;
	}
	
	add_filter( 'powerlift_core_filter_register_widgets', 'powerlift_mikado_register_woocommerce_dropdown_cart_widget' );
}

if ( ! function_exists( 'powerlift_mikado_get_dropdown_cart_icon_class' ) ) {
	/**
	 * Returns dropdow cart icon class
	 */
	function powerlift_mikado_get_dropdown_cart_icon_class() {
		$classes = array(
			'mkdf-header-cart'
		);
		
		$classes[] = powerlift_mikado_get_icon_sources_class( 'dropdown_cart', 'mkdf-header-cart' );
		
		return implode( ' ', $classes );
	}
}